using UnityEngine.UIElements;

namespace KitsuneCafe.UI
{
  public interface IVirtualizationController
  {
    ICollectionDataSource DataSource { get; set; }
    VisualElement Container { get; set; }
    void Setup();
    void OnParentSizeChanged(UnityEngine.Vector2 size);
    void OnScrolled(float scrollOffset);
    float GetContentSize();
  }
}
